# -*- coding: utf-8 -*-
# Generated by Django 1.11.13 on 2020-04-02 13:06
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Hypervisor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('host_ip', models.CharField(help_text="The Hypervisor's Host IP", max_length=16, unique=True)),
                ('host_name', models.CharField(help_text="The Hypervisor's Host Name", max_length=30, unique=True)),
                ('public_ssh_key', models.CharField(blank=True, help_text="The Hypervisor's Public SSH Key", max_length=2048, null=True)),
                ('vpn_ip', models.CharField(blank=True, help_text="The Hypervisor's VPN IP", max_length=16, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Load',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('vc_tag', models.CharField(help_text='The VC Tag as generated by the VCG', max_length=100)),
                ('date', models.DateTimeField(help_text='The time on which the request is created')),
            ],
        ),
        migrations.CreateModel(
            name='LoadValue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('parameter', models.CharField(choices=[('cpu', 'cpu'), ('ram', 'ram'), ('disk', 'disk')], help_text='The name of the load characteristic', max_length=5)),
                ('value', models.FloatField(help_text='The value quantifying the load characteristic')),
                ('uom', models.CharField(help_text='The unit of measurement of the value depending on the parameter', max_length=5)),
                ('load', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='load_values', to='api.Load')),
            ],
        ),
        migrations.CreateModel(
            name='Migration',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(choices=[('pending', 'Migration is pending'), ('posted', 'Migration has been posted'), ('rejected', 'Migration was rejected'), ('started', 'Migration has started'), ('success', 'Migration succeeded'), ('failed', 'Migration has failed')], help_text='The migration status', max_length=10)),
                ('marketaction', models.IntegerField(blank=True, help_text='The ID of the market action corresponding to migration', null=True)),
                ('action_type', models.CharField(choices=[('bid', 'bid'), ('offer', 'offer')], help_text='The type of market action placed on the Catalyst ITLM', max_length=6)),
                ('price', models.FloatField(help_text='The price suggested for the migration action')),
                ('load', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='migrations', to='api.Load')),
            ],
            options={
                'ordering': ['load', 'marketaction'],
            },
        ),
        migrations.CreateModel(
            name='MigrationDetails',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('marketaction', models.IntegerField(help_text='The ID of the market action corresponding to the migration')),
                ('source', models.CharField(help_text="The username of the migration's source DC as understood by the DCMC Server", max_length=30)),
                ('destination', models.CharField(help_text='The username of the destination DC as understood by the DCMC Server', max_length=30)),
                ('delivery_start', models.DateTimeField(help_text='The time on which the migration is planned to start')),
                ('delivery_end', models.DateTimeField(help_text='The time on which the remote execution is planned to end')),
                ('transaction', models.IntegerField(help_text='The ID of the transaction as kept in the CATALYST IT Load Marketplace')),
            ],
        ),
        migrations.CreateModel(
            name='MigrationOperationalDetails',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('vcontainer_uuid', models.CharField(help_text='UUID of VContainer Under Migration', max_length=100)),
                ('source_cmp', models.CharField(help_text='Hostname of source CMP', max_length=30)),
                ('source_cmp_url', models.CharField(help_text='VPN IP of source CMP', max_length=30)),
                ('is_source_cmp_ready', models.BooleanField(default=False, help_text='Is source CMP ready for migration?')),
                ('destination_cmp', models.CharField(blank=True, help_text='Hostname of destination CMP', max_length=30, null=True)),
                ('destination_cmp_url', models.CharField(blank=True, help_text='VPN IP of destination CMP', max_length=30, null=True)),
                ('is_destination_cmp_ready', models.BooleanField(default=False, help_text='Is destination CMP ready for migration?')),
                ('transaction', models.IntegerField(help_text='The ID of the transaction as kept in the CATALYST IT Load Marketplace')),
            ],
        ),
        migrations.CreateModel(
            name='VContainer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cpu', models.IntegerField(help_text='The number of CPU cores of the VC described')),
                ('cpu_uom', models.CharField(help_text='The unit of measurement for the CPU value', max_length=5)),
                ('ram', models.IntegerField(help_text='The amount of RAM of the VC described')),
                ('ram_uom', models.CharField(help_text='The unit of measurement for the RAM value', max_length=5)),
                ('disk', models.IntegerField(help_text='The amount of disk of the VC described')),
                ('disk_uom', models.CharField(help_text='The unit of measurement for the disk value', max_length=5)),
                ('start', models.DateTimeField(help_text='The time from which the VC is planned to be active')),
                ('end', models.DateTimeField(help_text='The time until which the VC is planned to be active')),
                ('transaction', models.IntegerField(help_text='The ID of the transaction as kept in the CATALYST IT Load Marketplace')),
                ('status', models.CharField(blank=True, choices=[('created', 'VC has been created'), ('registered', 'VC has been registered')], help_text='The status of the VC', max_length=10, null=True)),
                ('uuid', models.CharField(blank=True, help_text='Identification information of the issuing VM', max_length=100, null=True)),
                ('covpn_owner', models.CharField(blank=True, help_text='Owner of VPN connection for the vContainer to connect to', max_length=32, null=True)),
            ],
        ),
        migrations.AlterOrderWithRespectTo(
            name='vcontainer',
            order_with_respect_to='transaction',
        ),
        migrations.AlterOrderWithRespectTo(
            name='migrationoperationaldetails',
            order_with_respect_to='transaction',
        ),
        migrations.AlterOrderWithRespectTo(
            name='migrationdetails',
            order_with_respect_to='marketaction',
        ),
        migrations.AlterOrderWithRespectTo(
            name='load',
            order_with_respect_to='date',
        ),
        migrations.AlterUniqueTogether(
            name='hypervisor',
            unique_together=set([('host_ip', 'host_name')]),
        ),
        migrations.AlterOrderWithRespectTo(
            name='hypervisor',
            order_with_respect_to='host_name',
        ),
        migrations.AlterOrderWithRespectTo(
            name='loadvalue',
            order_with_respect_to='load',
        ),
    ]
